Sisyphus changes — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
м (Ноябрь: nvidia vs xorg)
м (2012: -> в архив)
Строка 50: Строка 50:
 
=== Январь ===
 
=== Январь ===
 
В udev-197 [http://lists.altlinux.org/pipermail/devel/2013-January/196331.html изменились] правила именования новых сетевых интерфейсов, не удивляйтесь. См. также {{altbug|28484}}.  Желающим <s>стра</s>старого доброго eth0 следует установить {{pkg|udev-rule-generator-net}}, спасибо {{man|shaba}}.
 
В udev-197 [http://lists.altlinux.org/pipermail/devel/2013-January/196331.html изменились] правила именования новых сетевых интерфейсов, не удивляйтесь. См. также {{altbug|28484}}.  Желающим <s>стра</s>старого доброго eth0 следует установить {{pkg|udev-rule-generator-net}}, спасибо {{man|shaba}}.
 
== 2012 ==
 
=== Декабрь ===
 
На сборке {{pkg|rpm-4.0.4-alt100.58}} под i586 текущим компилятором вылезла серьёзная бага, которая ранее оказывалась замаскирована; [http://lists.altlinux.org/pipermail/sisyphus/2012-December/359280.html исправление] имени at@ в течение суток попало в сизиф как {{pkg|rpm-4.0.4-alt100.59}}.  Если кто успел поставить alt100.58, может понадобиться вытащить и установить обновление вручную.  Типичным признаком при работе {{cmd|apt-get}} является:
 
<pre>error: failed dependencies:
 
        libaudit.so.1 >= set:jhK9a5Z0 is needed by login-0.60-alt33</pre>
 
 
=== Ноябрь ===
 
[http://lists.altlinux.org/pipermail/sisyphus/2012-November/358927.html Сообщается], что при использовании {{pkg|etcnet}} с {{pkg|ifplugd}} требуется указание <tt>CONFIG_WIRELESS=no</tt> вдобавок к <tt>USE_IFPLUGD=yes</tt>; см. тж. {{altbug|27797}}.
 
 
=== Октябрь ===
 
Использующим системы на сизифе '''с корнем (/boot) на md raid1''' и загрузчиком {{pkg|grub2-pc}} стоит обратить внимание на [http://lists.altlinux.org/pipermail/devel/2012-October/195751.html это сообщение].  NB: '''с grub2-pc-2.00-alt1 конкретно в этом случае гарантированно будет проблема''' (upstream bug), исправление в 2.00-alt2.  См. тж. [http://lists.altlinux.org/pipermail/sisyphus/2012-November/358897.html процедуру восстановления] при необходимости.
 
 
=== Сентябрь ===
 
[http://lists.altlinux.org/pipermail/devel/2012-September/195184.html В Сизиф отправлен очередной свежий буст, на этот раз 1.51.0]; в devel@ -- подробные рекомендации по переводу пакетов на него.  Возможно, также пригодится [http://lists.altlinux.org/pipermail/devel/2012-August/195075.html предыдущий тред].  PS: теперь все, кто используют boost/thread/mutex.hpp или Boost.Pool, должны компоноваться с -lboost_thread -lboost_system.
 
 
=== Август ===
 
"[http://lists.altlinux.org/pipermail/sisyphus/2012-August/358212.html Это обновление пакета pam, собранного с новой версией glibc.<br>Можно сказать, традиционные грабли в новой редакции.<br>Подробности см. в /var/log/auth/secure.<br>Рекомендуется service crond restart.]"
 
 
Собирающим дистрибутивы из сизифа стоит знать, что у {{cmd|modprobe}} [http://lists.altlinux.org/pipermail/sisyphus/2012-August/358077.html теперь нет опции --list], ранее помеченной как deprecated; соответствующее изменение [http://git.altlinux.org/people/boyarsh/packages/?p=propagator.git;a=commitdiff;h=a109bc3706c117701db8e570a3bd56969a431180 внесено] в {{pkg|propagator-20101130-alt18}}.
 
 
=== Май ===
 
 
В связи с враждебной политикой апстрима {{pkg|systemd}} в отношении людей, не являющихся пользователями такового, при нежелании переходить с SysV init пользователям {{pkg|NetworkManager}} и/или {{pkg|udisks2}} во избежание излишних заявлений «Not authorized» рекомендуется установить ({{cmd|rpm -Uvh --oldpackage}}) из [[Sisyphus archive|архива сизифа]] и [[Hold|захолдить]] используемое из:
 
* libpolkit-0.104-alt1 ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/i586/RPMS/libpolkit-0.104-alt1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/x86_64/RPMS/libpolkit-0.104-alt1.x86_64.rpm x86_64])
 
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357527.html polkit-0.104-alt1] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/i586/RPMS/polkit-0.104-alt1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/05/12/files/x86_64/RPMS/polkit-0.104-alt1.x86_64.rpm x86_64])
 
* libudisks2-1.94.0-alt1.1 ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/i586/RPMS/libudisks2-1.94.0-alt1.1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/x86_64/RPMS/libudisks2-1.94.0-alt1.1.x86_64.rpm x86_64])
 
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357588.html udisks2-1.94.0-alt1.1] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/i586/RPMS/udisks2-1.94.0-alt1.1.i586.rpm i586], [http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/files/x86_64/RPMS/udisks2-1.94.0-alt1.1.x86_64.rpm x86_64])
 
* [http://lists.altlinux.org/pipermail/sisyphus/2012-May/357527.html NetworkManager-0.9.4.0-alt2] ([http://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2012/04/12/ тоже archive/Sisyphus/2012/04/12/])
 
 
 
[http://lists.altlinux.org/pipermail/devel/2012-May/194445.html В Сизиф попал udev-176], которому обязательно нужен devtmpfs в ядре, без этого ни initrd, ни система не запустятся.
 
В ядра ovz-el и std-def необходимые изменения внесены. Проверить свои ядра можно командой
 
# grep -i config_devtmpfs /boot/config-*
 
 
 
В Сизиф приехало libcairo-1.12.2, после обновления до него перестали запускаться XFCE/LXDE через удалённое подключение по NX (RX@Etersoft). Предположительно, проблема в Иксах 6.9, которые используются в nx. Пока помогает [[Downgrade|даунгрейд]] до 1.10.2. Дополнительные сведения приветствуются. Портирование NX на новые Иксы в процессе.
 
 
=== Апрель ===
 
При проблемах с {{pkg|automake_1.11}} см. тж. [http://lists.altlinux.org/pipermail/devel/2012-April/193963.html данное письмо].
 
 
[http://lists.altlinux.org/pipermail/devel/2012-April/193864.html Выделены] в отдельную компоненту пакеты '''{{pkg|*-debuginfo}}'''<ref>в т.ч. ради уменьшения размеров индексов</ref>; для использования теперь [http://lists.altlinux.org/pipermail/devel/2012-April/193866.html следует подключить] их в явном виде — например, так:<pre>rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic debuginfo</pre>
 
 
[http://lists.altlinux.org/pipermail/sisyphus/2012-April/357216.html Изменена] инфраструктура сборки [[biarch]]-оверлея для x86_64 (теперь создание i586-пакетов для предоставления 32-битного ABI происходит синхронно при сборке пакетов).  [http://lists.altlinux.org/pipermail/devel/2012-April/193781.html Предупреждают], что '''arepo-репозитории x86_32 и x86_64-i586 несовместимы''' (одноименные пакеты отличаются по составу и зависимостям), '''автоматическое обновление со старого на новый не предусмотрено'''.  Тем, кто имел <s>неосторожность</s>смелость установить пакеты из arepo-репозитория x86_32, перед подключением arepo-репозитория x86_64-i586 настоятельно рекомендуется удалить все пакеты, имя которых начинается на "i586-"; поскольку новый оверлей несёт больше пакетов, также рекомендуется добавить <tt>APT::Cache-Limit 67108864;</tt> в {{path|/etc/apt/apt.conf}}.  Типичный sources-list для желающих использовать arepo теперь выглядит так:<pre>
 
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
 
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
 
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64-i586 classic</pre>
 
 
=== Март ===
 
Едет [http://lists.altlinux.org/pipermail/sisyphus/2012-March/357142.html xorg-1.12], на новых intel может решать вопросы<ref>проверено с [http://lists.altlinux.org/pipermail/sisyphus/2012-March/357129.html 3.3.0-std-ng]</ref>, с [https://bugzilla.altlinux.org/show_bug.cgi?id=27121 nouveau у cairo] они заведомо возникнут (может потребоваться [http://lists.altlinux.org/pipermail/sisyphus/2012-April/357242.html откат версии]); fglrx опять задерживается. YHBW.
 
 
Майнтейнер java [http://lists.altlinux.org/pipermail/devel/2012-March/193454.html предупреждает] о готовящемся переезде с maven2 на maven3, что чревато временными крупными разломами по части собираемости java-пакетов.
 
 
=== Январь ===
 
 
Обновление vsftpd до 2.3.5 принесло невозможность пускать в домашние каталоги пользователей при [http://www.opennet.ru/openforum/vsluhforumID3/81603.html#1 заведомо небезопасной конфигурации], которая стала неподдерживаемой (ошибка 500 OOPS: vsftpd: refusing to run with writable root inside chroot()). См. [http://centos.alt.ru/?p=649#comments здесь] и [http://www.benscobie.com/fixing-500-oops-vsftpd-refusing-to-run-with-writable-root-inside-chroot/ здесь]. Это вызывает проблемы ftp-доступа на shared-хостинге. Исправление — запретить пользователю запись в домашний каталог и впредь обращать внимание на предупреждения в конфигурационных файлах и changelog.
 
 
Браузер Chromium на новых ядрах (предположительно начиная с 3.1.5) стал зависать при открытии нескольких вкладок. В качестве временного решения можно закомментировать
 
$ grep sec /etc/chromium-browser/default
 
#CHROMIUM_FLAGS="--enable-seccomp-sandbox"
 
Заведена бага [https://bugzilla.altlinux.org/show_bug.cgi?id=25407 25407].
 
  
 
== Ссылки ==
 
== Ссылки ==

Версия 14:17, 15 января 2014

50px-Gnome globe current event.png
Данная статья периодически обновляется.
Последнее обновление
14:17 15 января 2014

Замечания об обновлении Sisyphus

Zn1 26.gif Здесь собираются важные замечания, связанные с обновлением системы из Sisyphus; текущие критичные ошибки отмечены на altbug #9100. Пожалуйста, если вы вносите предупреждения заранее, то потом либо убирайте их, либо конкретизируйте проблему. Извещения «месяц назад надо было бояться» бесполезны.

Старые по меркам Сизифа замечания накапливаются в архиве.

Рекомендации

2013

Ноябрь

Говорят, xorg-server-1.14.4-alt1 с модулем nvidia падает; рекомендуется переждать на 1.14.3. Ещё говорят, что к концу ноября ситуация нормализовалась.

Октябрь

Если Skype начал падать с ошибкой сегментирования (segmentation fault), может понадобиться обновить его до 4.2: в сизиф вместе с GNOME3 3.10 приехал glib2 > 2.36. Ну или не обновлять соответствующий hasher chroot с p7/branch. :)

LICQ 1.8.

  1. Код протокола icq вынесен в плагин, название приложения теперь - дань истории.
  2. Появилась поддержка нескольких эккаунтов для одних и тех же протоколов, в связи с этим изменилась структура каталога ~/.licq, так что, лучше переименовать ~/.licq в ~/.licq.bak перед запуском обновлённой версии licq.

~/.licq/owner.* больше нет, переехало в ~/.licq/users/<ID>.<proto>/<ID>.conf
Очевидно, лучше завести эккаунты заново. История переехала туда же, но с переименованием файлов. Для переименования истории ICQ можно воспользоваться скриптом (лучше в отдельном каталоге):

for NAME in `ls *Licq*`; do
   NEWNAME=`echo $NAME|sed "s/.Licq//"`
   mv $NAME $NEWNAME
done

после чего скопировать файлы в соответствующий ~/.licq/users/<ID>.<proto>/. Для Jabber - аналогично, заменив "Licq" на "XMPP".

Сентябрь

В сизиф и p7/branch приехали сборки TDE с ARTS; если отвалился звук, удалите ~/.mcoprc!

Май

Любителям пользоваться /var/tmp по назначению (хранить всякое между перезагрузками) следует внимательно отнестись к обновлению startup до 0.9.9.x: в 0.9.9.0 попало изменение, приводящее к очистке и этого каталога, несмотря на резолюцию FHS.

С обновлением проприетарного модуля nvidia до версии 319.17 перестают грузиться X'ы, если не установлен соответствующий kernel-modules-drm (см. http://lists.altlinux.org/pipermail/sisyphus/2013-May/360816.html и http://lists.altlinux.org/pipermail/community/2013-May/679528.html).

Будьте внимательны и осторожны при использовании systemd и обновлении его до сборки 204-alt1: перенос root-only бинарников на место в /sbin[1] ожидаемым образом привёл к некоторому количеству регрессий, в т.ч. с корнем на mdraid. При проблемах возвращайтесь на 201.

Март

Следует внимательно отнестись к обновлению grub2-efi до 2.00-alt12: изменяется имя подкаталога ESP, стоит перепроверить глазами успешность миграции и на всякий держать под рукой rescue-диск/флэшку.

Февраль

Если при обновлении системы с sysvinit попытался впереться systemd — воздержитесь от установки indexhtml-common 0.6.2-alt1 (altbug #28528) и samba 4.0.x < 4.0.3-alt2 (altbug #28585); если поздно спохватились, можно

  rpm -e agetty libnss-myhostname libsystemd-journal systemd

Январь

В udev-197 изменились правила именования новых сетевых интерфейсов, не удивляйтесь. См. также altbug #28484. Желающим страстарого доброго eth0 следует установить udev-rule-generator-net, спасибо shaba@.

Ссылки

  1. вместо новомодного федориного заметания всего под один ковёр